
Ryzom - Bug # 124

Status: Closed Priority: Normal
Author: kervala Category: NeL: General
Created: 09/22/2008 Assignee: kervala
Updated: 09/30/2010 Due date:
Subject: bytesToHumanReadable returns " 1234(null)"
Description

Function "NLMISC::bytesToHumanReadable (uint64 bytes)" is returning an incorrect string.

Instead of "1234MB" it's returning "1234(null)".

History
#1 - 09/22/2008 08:23 pm - kervala

"%u" is not a correct formatting syntax for uint64 so the units string hadn't the correct offset.

#2 - 09/22/2008 08:24 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r335.

#3 - 09/22/2008 08:25 pm - kervala

I added TB for Terabyte since it's becoming more and more common.

The function with a string parameter is now using the modified one.

#4 - 11/30/2008 09:41 pm - kervala
- Status changed from Resolved to Closed

#5 - 09/29/2010 09:12 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Misc)
- Target version deleted (Version 0.7.0)

#6 - 09/30/2010 11:33 am - kervala
- Category set to NeL: General
- Target version set to Version 0.7.0

07/09/2015 1/1


